# Specify the build system requirements.
[build-system]
requires = ["sip >=6.8, <7", "PyQt-builder >=1.9, <2"]
build-backend = "sipbuild.api"

[project]
name = "PyQtChart"
version = "5.15.7"
description = "Python bindings for the Qt Charts library"
readme = "README.md"
urls.homepage = "https://www.riverbankcomputing.com/software/pyqtchart/"
dependencies = ["PyQt5 (>=5.15.4)"]
license = {text = "GPL v3"}

[[project.authors]]
name = "Riverbank Computing Limited"
email = "info@riverbankcomputing.com"


# Specify a PyQt-based project.
[tool.sip]
project-factory = "pyqtbuild:PyQtProject"

# Configure the project.
[tool.sip.project]
tag-prefix = "QtChart"

# Define and configure each set of bindings.
[tool.sip.bindings.QtChart]
qmake-QT = ["charts"]
